How to Make Incompatible Thunderbird Addons Compatible

Despite new features and potential performance gains, every major update from Mozilla’s Thunderbird is almost certain that some addons will be disabled due to version incompatibility.  It is very frustrating especially when some of these addons are key to one’s system.

Here’s how to quickly make incompatible addons compatible:

1. Locate extensions folder under the Profile folder of Thunderbird

2. Rename the file-extension of the addon to be modified from xpi to zip

3. Unzip the file and look for “install.rdf” inside the unzipped folder

4. Open the file with a text editor and edit the number of <em:maxVersion> to Thunderbird’s current version or higher

5. Save the file and then zip the whole folder

6. Rename the file-extension back to xpi from zip

7. The addon will now be compatible to the new version of Thunderbird

NOTE:
•   Although the addon can be used now, there may still be a chance of features incompatibility.
•   Same principle applies to make incompatible Firefox addon compatible.
• Location of Firefox Extensions is:
\Users\<user>\Library\Application Support\Firefox\Profiles\uzc25jg1.default\extensions

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s